
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>计算一段日期内的周末天数的php代码（星期六，星期日总和）_php技巧 / iVAN</title>

    <meta name="description" content="计算一段日期内的周末天数的php代码（星期六，星期日总和）_php技巧 复制代码 代码如下: /* | Author: Yang Yu &lt;niceses@gmail.com&gt; | @param char|int $start_date 一个有效的日期格式,例如:20091016,2009-10-16 | @param char|int $end_date 同上 | @return 给定日期之间的周末天数 */ function get_weekend_days($start_date,$end_date){ if (strtotime($start_da ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">计算一段日期内的周末天数的php代码（星期六，星期日总和）_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><u>复制代码</u> 代码如下:</p>
<p>/* <br />| Author: Yang Yu &lt;niceses@gmail.com&gt; <br />| @param char|int $start_date 一个有效的日期格式，例如：20091016，2009-10-16 <br />| @param char|int $end_date 同上 <br />| @return 给定日期之间的周末天数 <br />*/ <br />function get_weekend_days($start_date,$end_date){</p>
<p>if (strtotime($start_date) &gt; strtotime($end_date)) list($start_date, $end_date) = array($end_date, $start_date);</p>
<p>$start_reduce = $end_add = 0;</p>
<p>$start_N = date('N',strtotime($start_date)); <br />$start_reduce = ($start_N == 7) ? 1 : 0;</p>
<p>$end_N = date('N',strtotime($end_date)); <br />in_array($end_N,array(6,7)) &amp;&amp; $end_add = ($end_N == 7) ? 2 : 1;</p>
<p>$days = abs(strtotime($end_date) - strtotime($start_date))/86400 + 1;</p>
<p>return floor(($days + $start_N - 1 - $end_N) / 7) * 2 - $start_reduce + $end_add; <br />}</p>
<p>备注：</p>
<p>最近写给公司用的考勤系统，把其中的一个功能自动化，就是每个月的工作日（出勤天数）改为自动写入，于是写出以上函数，用来计算两个日期内的周六周日总数，稍微解释下吧，这个功能当然是用循环实现是最简单的，从开始那天for到结束那天，中间只要是周六或周日，就++，最后轻易算出总和，但还是那句话，循环的效率实在是不好，尤其当时间跨度过长时，惨不忍睹。</p>
<p>我这个函数的基本思路是四个字：前补后砍。没听懂吧？我也觉得有点莫名其妙。。。就是取得开始日期的星期数，如果不足一周，则补上对应的天数，比如开始日期是星期3，那么总天数就补上2天（星期1，星期2），如果开始日期是星期6，则补上5天，也就是6-1，就是函数中的$start_N - 1，如果开始日期恰好是周日，那么补上6天的同时，最后的结果需要减去一天（周六），也就是函数中的 $start_reduce ，好了，现在“前补”解释完了。下面讲下“后砍”，顾名思义，就是将后面多余的不足一周的天数，砍掉，例如，结束日期为星期3，那么就从总天数里减去3天，如果结束日期为星期6或者星期天，那么减去6或7的同时，还要在最后补上1或2。</p>
<p>算法没什么难点，核心思想就是将这个时间段调整为7的整数，然后乘以2，在减去或加上多算和少算的周六或周日，得到的就是星期六和星期日的总和。最后算一段时间内的天数，不建议用date(z)来算，因为通用性会不好，涉及到跨年的问题，如果跨多年，还要考虑闰年的问题，倒不如这样算来的直接。</p>
<p><strong>改进记录</strong>，加入$is_workday 参数，可以选择是否返回工作日，默认是返回休息日</p>
<p><u>复制代码</u> 代码如下:</p>
<p>function get_weekend_days($start_date,$end_date,$is_workday = false){</p>
<p>if (strtotime($start_date) &gt; strtotime($end_date)) list($start_date, $end_date) = array($end_date, $start_date); <br />$start_reduce = $end_add = 0; <br />$start_N = date('N',strtotime($start_date)); <br />$start_reduce = ($start_N == 7) ? 1 : 0; <br />$end_N = date('N',strtotime($end_date)); <br />in_array($end_N,array(6,7)) &amp;&amp; $end_add = ($end_N == 7) ? 2 : 1; <br />$alldays = abs(strtotime($end_date) - strtotime($start_date))/86400 + 1; <br />$weekend_days = floor(($alldays + $start_N - 1 - $end_N) / 7) * 2 - $start_reduce + $end_add; <br />if ($is_workday){ <br />$workday_days = $alldays - $weekend_days; <br />return $workday_days; <br />} <br />return $weekend_days; <br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:44:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%91%a8%e6%9c%ab%e5%a4%a9%e6%95%b0/" title="周末天数">周末天数</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>计算一段日期内的周末天数的php代码（星期六，星期日总和）_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj25omb.html" rel="bookmark">MSSQL 计算两个日期相差的工作天数的语句&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[f_WorkDay]') and xtype in (N'FN', N'IF', N'TF')) drop function [dbo].[f_WorkDay] GO --计算两个日期相差的工作天数 CREATE FUNCTION f_WorkDay( @dt_begin datetime, --计算的开始日期 @dt_end date			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z467Z1M.html" rel="bookmark">MSSQL 计算两个日期相差的工作天数的语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[f_WorkDay]') and xtype in (N'FN', N'IF', N'TF')) drop function [dbo].[f_WorkDay] GO --计算两个日期相差的工作天数 CREATE FUNCTION f_WorkDay( @dt_begin datetime, --计算的开始日期 @dt_end date			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3We4p.html" rel="bookmark">Excel2013，计算两个日期之间工作日的天数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  想知道自己在公司工作了多少天吗?在Excel中,输入起始日期和终止日期,然后用一个NETWORKDAYS函数就能轻松搞定啦!一起来看看具体做法吧. 详细操作步骤 用Excel2013打开一篇有两个日期的工作表,例如,我们现在要计算A列和B列日期之间的工作日的天数,那么,在C2单元格输入函数&quot;=NETWORKDAYS(A2,B2)&quot;,完成之后按下回车键. 此时C2单元格中已经计算出了B2和A2日期之间工作日的天数,将鼠标移动到C2单元格的右下方,待光标变成十字状态的时候按下鼠标,并拖			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba61YnM.html" rel="bookmark">JS 两日期相减&comma;获得天数的小例子&lpar;兼容IE&comma;FF&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下:    function GetDay() {    var arrDate, objDate1, objDate2, intDays;     objDate1 = new Date();    objDate2 = new Date();     arrDate = $(&quot;#开始日期&quot;).val().split(&quot;-&quot;);    objDate1.setFullYear(arrDate[0], arrDate[1], arrDate[2]);			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7yOlb.html" rel="bookmark">smarty内置函数&lbrace;loteral&rcub;、&lbrace;ldelim&rcub;和&lbrace;rdelim&rcub;用法实例&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了smarty内置函数{loteral}.{ldelim}和{rdelim}用法.分享给大家供大家参考.具体如下: {ldelim}和{rdelim}分别是smarty标识的左分隔符和右分隔符.如下面的javascript代码可以这么使用. 模板文件temp.htm如下: 复制代码 代码如下: &lt;script language=&quot;javascript&quot; type=&quot;text/javascript&quot;&gt; function myfunction()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYN5QVp.html" rel="bookmark">利用ThinkPHP内置的ThinkAjax实现异步传输技术的实现方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				准备工作: ① 首先要会使用ThinkPHP这个框架 ② 最好有些ajax的基础(可以去看下小飞的另外一篇博文:Ajax实时验证&quot;用户名/邮箱等&quot;是否已经存在) ③ 4个js文档(点此免积分下载) 先贴上源代码: 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot; src=&quot;__PUBLIC__/js/base.js&quot;&gt;&lt;/script&gt; &lt;script type=&quot;text			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnjK9p.html" rel="bookmark">一个显示某段时间内每个月的方法 返回由这些月份组成的数组&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: /** * 生成从开始月份到结束月份的月份数组 * 该方法仿照党子皓getDateArr()方法 * @param unknown_type $start * @param unknown_type $end */ function getMonthArr($start, $end) { $start = empty($start) ? date('Y-m',strtotime('-1 month')) : $start; $end = empty($end) ? date			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7eEZb.html" rel="bookmark">Java中计算任意两个日期之间的工作天数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				主要思路: 对于任意2个日期比如:date_start=2006-10-1.date_end=2006-10-14 ,首先计算这连个日期之间的时间间隔(天数),然后分别对date_start 和date_end 取得它们下一个星期一的日期,这样就可以得到一个新的可以整除7的完整日期间隔(这个新的日期间隔已经把星期几的问题剔出掉了),换一种说法就是我们可以得到,这两个新的日期之间的周数,拿这个周数乘以5就是工作日期了(tmpWorkingDays).但是这个日期并不是我们所要的日期,接下来我们要做			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPLr1p.html" rel="bookmark">Java 计算两个日期相差的天数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				import java.text.ParseException; import java.text.SimpleDateFormat; import java.util.Calendar; import java.util.Date; public class test16 { /** * @param args * @throws ParseException */ public static void main(String[] args) throws ParseException { /			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boER3p.html" rel="bookmark" class="title">在页面重构工作中所领悟的用户体验</a>
					<div>
						文章描述:沉淀了一下过往我在页面重构工作中所领悟的用户体验.略显肤浅,可能大家会质疑,为什么写页面的还要自己加图标状态或者修改局部效果,要知道在早期的互联网在分工上没有现在这样精专的分工,顶多分个前台 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRg88p.html" rel="bookmark" class="title">怎样使用ASP实现Ping</a>
					<div>
						This article presents a simple way to ping an address and get the results of the ping using ASP. The ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boXQ6M.html" rel="bookmark" class="title">ASP通用分页类</a>
					<div>
						分页 一.类的属性.方法 这是一个ASP通用分页类.你可以用它方便的给记录集分页,当然在网上有许多的分页类和分页函数.本分页主要有GetConn.GetRS.SQL.URL.CSSFile.FldNa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAa2oAM.html" rel="bookmark" class="title">Wolfram编程语言简介</a>
					<div>
						Wolfram是一种可以真正改变世界的编程语言 开发出著名数学软件Mathematica和知识型搜索引擎Wolfram Alpha(Siri的幕后技术)的英国数学家Stephen Wolfram宣布, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjnqnp.html" rel="bookmark" class="title">TheBeerHouse网站项目学习笔记&lpar;1&rpar;----换肤技术</a>
					<div>
						对于ASP.NET学习的中期,TheBeerHouse 项目是一个不错的选择,这个项目几乎囊括了所有ASP.NET 2.0 下所有的技术点,而且其设计的类图架构知识值得我们借鉴.关于此项目的介绍,在此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBkrQb.html" rel="bookmark" class="title">Visual Studio 2008可扩展性开发（六）：操作Solution Explorer</a>
					<div>
						前言 在可扩展性开发(五)中,我介绍了对于Solution.Project.ProjectItem的基本操 作.可以认为它们面向的是解决方案内容的物理(文件)表示,我们需要使用VS提供的解 决方案管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx3L2b.html" rel="bookmark" class="title">跟我一起学JQuery插件开发</a>
					<div>
						在逛codeproject网站的时候,突然看到一篇文章:How to write plugin in Jquery.  如果对E文好的同学 ,可以看上面的连接. 现在我把上面网站的及结合自己的想法写这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M627EXM.html" rel="bookmark" class="title">asp 显示目录所有文件</a>
					<div>
						asp教程 显示目录所有文件 option   explicit dim   infopath                     '当前路径   dim   serverpath         ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo64rgz.html" rel="bookmark" class="title">ASP&period;NET防止页面刷新的两种解决方法</a>
					<div>
						 本篇文章主要是对ASP.NET防止页面刷新的两种解决方法进行了详细的分析介绍,需要的朋友可以过来参考下,希望对大家有所帮助 方法有二,总结如下:    第一方法:  直接在CS代码里敲:  Resp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBR3Nz.html" rel="bookmark" class="title">word2010首行缩进设置</a>
					<div>
						  通过设置段落缩进,可以调整Word2010文档正文内容与页边距之间的距离.用户可以在Word2010文档中的&quot;段落&quot;对话框中设置段落缩进,操作步骤如下所述: 第1步,打开Wor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Q1EM.html" rel="bookmark" class="title">Flash影片剪辑工具Tanida Demo Builder安装使用教程</a>
					<div>
						今天小编发现了一个非常不错Flash影片剪辑工具--Tanida Demo Builder,使用起来很简单,小编就粗略的做了些图文教程~ 运行Tanida Demo Builder主程序 一直下一步就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3olxNb.html" rel="bookmark" class="title">win7 64位纯净版系统下怎么关闭分区还原功能来节省磁盘空间</a>
					<div>
						  1.首先鼠标右击win7 64位纯净版系统桌面上的计算机图标选择&quot;属性&quot;选项; 2.在弹出的&quot;系统属性&quot;界面中中,切换到&quot;系统保护&quot;选项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZD9vz.html" rel="bookmark" class="title">解决Mac无声音&sol;蓝屏&sol;分区等问题教程</a>
					<div>
						  日前,网友kingnetml表示,他在给Mac设备修复系统时出现了无法安装Boot Camp.右下角喇叭红叉无声音.安装英特尔集显蓝屏等问题.下面我们来看看该网友反复试验与研究之后得出的解决办法. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWKJBb.html" rel="bookmark" class="title">jquery 新浪网易的评论块制作&lowbar;jquery</a>
					<div>
						效果图如下:技术要点: 1.因为 textarea里面不能放图片,所以和新浪的做法一样,选用iframe放内容,然后隐藏一个 textarea用于提交. 2 .JQqery tab 插件的使用(文盲都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lJ6rb.html" rel="bookmark" class="title">如何提高效率</a>
					<div>
						Aaron Swartz是个传奇一样的人物,他是一个网络奇才,同时也是一个资讯自由斗士.此前我对他一点也不知道,但早就受益于他的智慧.大学阶段,我很大部分的知识都是来自于Google Reader,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7wx7p.html" rel="bookmark" class="title">wu man 多模式匹配-跪求 wu-- manber算法源代码</a>
					<div>
						问题描述 跪求 wu-- manber算法源代码 跪求wu manber算法源代码 小弟在做一个关于多模式匹配的项目 急需源代码 谢谢各位					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3j0Zz.html" rel="bookmark" class="title">Android 代码性能优化建议</a>
					<div>
						这篇文章主要介绍一些小细节的优化技巧,当这些小技巧综合使用起来的时候,对于整个App的性能提升还是有作用的,只是不能较大幅度的提升性能而已.选择合适的算法与数据结构才应该是你首要考虑的因素,在这篇文章 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My36Kkz.html" rel="bookmark" class="title">我在使用Git开发时的一些命令分享</a>
					<div>
						我在使用Git开发时的一些命令分享 以下是我认为比较实用的在开发过程中经常会用到的Git命令集合:如果大家有比较好的,也可以分享出来. 查看git历史commit记录的图形 git log --one ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NaeAz.html" rel="bookmark" class="title">计算机系统结构DLX指令编写矩阵相乘，要求编写和实现菜单功能</a>
					<div>
						问题描述 计算机系统结构DLX指令编写矩阵相乘,要求编写和实现菜单功能 .data dat1: .space 64 dat2: .space 64 result: .space 64 Prompt1: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXGB6z.html" rel="bookmark" class="title">《深入理解Android：Telephony原理剖析与最佳实践》一3&period;2　Handler消息处理机制</a>
					<div>
						3.2 Handler消息处理机制 Android在设计的时候引入了Handler消息机制,每一个消息发送到主线程的消息队列中,消息队列遵循先进先出原则,发送消息并不会阻塞线程,而接收线程会阻塞线程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKrV3b.html" rel="bookmark" class="title">《工业控制网络安全技术与实践》一2&period;2　分布式控制系统</a>
					<div>
						2.2 分布式控制系统 本文讲的是工业控制网络安全技术与实践一2.2 分布式控制系统,分布式控制系统(Distributed Control System,DCS)又称为集散式控制系统,是工业控制系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnJOrM.html" rel="bookmark" class="title">DataSnap 2009 系列之二 （方法篇）</a>
					<div>
						(方法篇)     在过去客户端要调用远程服务器的方法需要通过在TLB里添加接口并且在服务器对象中实现,在DataSnap 2009中调用远程服务器的方法是基于delphi的RTTI机制的,想要一个类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12aQrp.html" rel="bookmark" class="title">&period;net 大型分布式电子商务架构说明</a>
					<div>
						.net大型分布式电子商务架构说明 背景 构建具备高可用,高扩展性,高性能,能承载高并发,大流量的分布式电子商务平台,支持用户,订单,采购,物流,配送,财务等多个项目的协作,便于后续运营报表,分析,便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkAGmM.html" rel="bookmark" class="title">如何克服网络瓶颈对网络整体性能的影响？</a>
					<div>
						网络瓶颈指的是影响网络传输性能及稳定性的一些相关因素,如网络拓扑结构,网线,网卡,服务器配置,网络连接设备等,下面我们逐一加以简单分析: 1．组网前选择适当的网络拓扑结构是网络性能的重要保障,这里有两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjldWM.html" rel="bookmark" class="title">开展视频直播业务的最佳实践【Tech Insight演讲实录】</a>
					<div>
						现场精彩干货: 直播,原先是广电系统的一个概念,十几年前我们印象中的直播还是电视台开一台直播车奔赴抗洪前线,而现在提到直播,我们想到的便成了网络直播. 刚刚过去的2016年可谓是&quot;直播年&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodV5vM.html" rel="bookmark" class="title">yum相关问题</a>
					<div>
						1. 开个iptables防火墙后,不能使用yum update [root@localhost ~]# iptables -A INPUT -m state --state RELATED,ESTA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYmNab.html" rel="bookmark" class="title">Jquery跳到页面指定位置的方法&lowbar;jquery</a>
					<div>
						offset() (包含top left) 复制代码 代码如下: height() scrollTop $(&quot;body&quot;).scrollTop(**); 原理是修改页面的scrol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYOn8b.html" rel="bookmark" class="title">ORA-01248&colon; file N was created in the future of incomplete recovery错误</a>
					<div>
						数据库现状控制文件 控制文件中数据文件信息 数据文件头信息 redo信息 根据当前数据库恢复检查脚本(Oracle Database Recovery Check)收集的信息,数据库的是非归档状态,而 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0339p.html" rel="bookmark" class="title">一个java工程，运行时报如下错误，什么原因，怎么解决。 多谢了</a>
					<div>
						问题描述 一个java工程,运行时报如下错误,什么原因,怎么解决. 多谢了 java.util.MissingResourceException: Can't find resource for bu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G14Wp.html" rel="bookmark" class="title">求高手解决java上传并读取txt文本的问题</a>
					<div>
						问题描述 本人新手,用的struts2框架,想通过前台页面用表单上传一个txt格式的文本,最好不用上传到服务器,因为我只需要读出其中的数据就可以了,我的html表单如下&lt;formid=&quot ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
